var curr, myCarsListResult;

mui.init()
mui.plusReady(function() {
	curr = plus.webview.currentWebview();
	plus.screen.lockOrientation("portrait-primary");
	getCustmoerCars();
	var saveButton = document.getElementById('saveButton');
	saveButton.addEventListener('tap', onSaveButtonClick);

});

function onSaveButtonClick() {
	if(myCarsListResult==null||myCarsListResult.length==0){
		plus.nativeUI.toast("当前客户没有车辆！");
		return;
	}
	saveEditCars();	
}
function saveEditCars() {
	
	for(var i = 0; i < myCarsListResult.length; i++) {

		var mileId = "mile" + i;
	
		var mileInput = document.getElementById(mileId);

		if(mileInput == null)
			break;

		if(mileInput.value == null || mileInput.value == "") {
			plus.nativeUI.toast("请填写里程数！");
			return;
		}
		var vehicleId = myCarsListResult[i].nVehicleId;
		//
		var param = {
			"vehicleId": vehicleId,
			"mile": mileInput.value
		};
		var params = {
			"url": getIpAndPort() + "vehicle/updateMile.do",
			"method": "post",
			"pa": param
		};
		plus.nativeUI.showWaiting('正在保存数据...');
		var successcallback = function(response) {
			plus.nativeUI.closeWaiting();
			curr.show();
			if(response != null) {
				if(response.code == 0) {
					plus.nativeUI.toast("保存成功!");		
				} else {
					var tip = response.message;

					plus.nativeUI.toast(tip);
				}
			} else {
				plus.nativeUI.toast("请求失败!");
			}

		};
		var failurecallback = function(xhr, opts) {
			plus.nativeUI.closeWaiting();
			curr.show();
			plus.nativeUI.toast("获取数据失败，请检查网络！");
		};

		if(checknetwork(true)) {
			ajaxunit(params, successcallback, failurecallback);
		}

	}
}

//获取联系人对应客户车辆
function getCustmoerCars() {
	var param = {};
	var params = {
		"url": getIpAndPort() + "vehicle/linkManVehicleList.do",
		"method": "post",
		"pa": param
	};
	plus.nativeUI.showWaiting('正在获取数据，请稍等...')
	var successcallback = function(response) {
		plus.nativeUI.closeWaiting();
		curr.show();
		if(response != null) {
			if(response.code == 0) {
				if(response.result != null) {
					myCarsListResult = response.result;

					initUICars();
				} else {

				}
			} else {
				var tip = response.message;

				plus.nativeUI.toast(tip);

			}
		} else {
			plus.nativeUI.toast("请求失败!");
		}

	};
	var failurecallback = function(xhr, opts) {
		plus.nativeUI.closeWaiting();
		curr.show();
		plus.nativeUI.toast("获取数据失败，请检查网络！");
	};

	if(checknetwork(true)) {
		ajaxunit(params, successcallback, failurecallback);
	}
}

//界面添加车辆
function initUICars() {
	if(myCarsListResult != null && myCarsListResult.length > 0) {
		for(var i = 0; i < myCarsListResult.length; i++) {
			crateDiv(i, myCarsListResult[i].vCusName, myCarsListResult[i].vMobile, 
				myCarsListResult[i].vTypeName, myCarsListResult[i].dBuy,
				myCarsListResult[i].vLicense,myCarsListResult[i].nMile);
		}
	}
}

function crateDiv(index, name, phone, typeShow, buyDate, license, mile) {
	var divContactList = document.getElementById('divContactList');
	var div = document.createElement("div");
	var nameId = "name" + index;
	var phoneId = "phone" + index;
	var carTypeId = "carType" + index;
	var buyDateResultId = "buyDateResult" + index;
	var plateNumberId = "plateNumber" + index;
	var mileId = "mile" + index;
	var date = new Date(buyDate);
	var time = date.getFullYear() + "-" + date.getMonth();
	var str = '<div class="user-info" style="margin-top: 10px;">' +
		'<div class="item mui-clearfix"> ' +
		'<span class="title">客户名称</span> ' +
		'<span id="' + nameId + '" class="content">' + name + '</span> ' +
		'</div>' +
	'<div class="item mui-clearfix"> ' +
	'<span class="title">客户手机</span>' +
	'<span id="' + phoneId + '" class="content">' + phone + '</span>' +
		'</div>' +
		'<div class="item mui-clearfix">' +
		'<span class="title">车型</span>' +
		'<span id="' + carTypeId + '" class="content" >' + typeShow + '</span>' +
		'</div>' +
		'<div class="item mui-clearfix">' +
		'<span class="title">购车日期</span>' +
		'<span id="' + buyDateResultId + '" class="content" >' + time + '</span>' +
		'</div>' +
		'<div class="item mui-clearfix">' +
		'<span class="title">车牌号</span>' +
		'<span id="' + plateNumberId + '" class="content">' + license + '</span>' +
		'</div>' +
		'<div class="item mui-clearfix">' +
		'<span class="title">行驶里程</span>' +
		'<span class="content">' +
		'<input id="' + mileId + '" type="number" value="' + mile + '" class="yd-msg-input"/>km' +
		'</span>' +
		'</div>' +
		'</div>';
	div.innerHTML = str;

	divContactList.appendChild(div);
}