var curr = null;
var carTypeDic = null;
var cityPicker = null;
var datetimePicker = null;
var user = null;
mui.init({
	"StatusBarBackground": "#4A4A4A"
});
mui.plusReady(() => {
	curr = plus.webview.currentWebview();
	plus.screen.lockOrientation("portrait-primary");
	carTypeDic = JSON.parse(localStorage.getItem("carTypeDic"));
	user = JSON.parse(localStorage.getItem("user"));
	
	var defaultLicense= localStorage.getItem(DEFAULTLICENSE);
	var plateNumber = document.getElementById('plateNumber');
	if(defaultLicense&&(typeof(defaultLicense) != "undefined")&&defaultLicense.length>0)
		plateNumber.value = defaultLicense;
	initPicker();
    var customName = document.getElementById('customName');
    customName.value = user.cusName;
     var customPhone = document.getElementById('customPhone');
     customPhone.value = user.mobile;
     var contactName = document.getElementById('contactName');
     var contactPhone = document.getElementById('contactPhone');
     contactName.value = user.cusName;
     contactPhone.value = user.mobile;
	if(!carTypeDic) {
		getCarTypeDic();
	} else {
		carTypeButtonClick();
	}
	
	keyDownNext('plateNumber','inputMile');
	keyDownNext('inputMile','customName');
	keyDownNext('customName','customPhone');
	keyDownNext('customPhone','contactName');
	keyDownNext('contactName','contactPhone');
});

function onLicenseClick(v){
	 if(v.value == ''){
        return false;
    }
    //小写转大写
    v.value = v.value.toUpperCase();
}
function initPicker() {
	cityPicker = new mui.PopPicker({
		layer: 3
	});
	cityPicker.setData(carTypeDic);

	datetimePicker = new mui.DtPicker({
		"type": "month"
	});
}

function keyDownNext(eid,nextId){
		document.getElementById(eid).addEventListener("keydown",function(e){ 
        if(13 == e.keyCode){ //点击了“搜索”  
//         document.activeElement.blur();//隐藏软键盘 
		   document.getElementById(nextId).focus();
        } 
    },false);
}

function carTypeButtonClick() {

	var carTypeButton = document.getElementById('carType');
	cityPicker.show(function(items) {
		carTypeButton.innerText = items[0].text + " " + items[1].text;
		carTypeButton.value = items[2].value;
		//返回 false 可以阻止选择框的关闭
		//return false;
		dateTimeOnClick();
	});
}

function dateTimeOnClick() {

	var buydate = document.getElementById('buyDateResult');

	datetimePicker.show(function(e) {
		var d = new Date(e.y.value, e.m.value, 1);
		buydate.value = d.getTime();
		buydate.innerText = e;
		//返回 false 可以阻止选择框的关闭
		//return false;
		var plateNumber = document.getElementById('plateNumber');
		plateNumber.focus();
	});

}

function getCarTypeDic() {
	var param = {};
	var params = {
		"url": getIp() + "generic/dic/vehicleMetadata.do",
		"method": "post",
		"pa": param
	};
	var successcallback = function(response) {
		plus.nativeUI.closeWaiting();
		curr.show();
		if(response != null) {
			if(response.code == 0) {
				carTypeDic = formatCarTypeData(response.result);
				localStorage.setItem("carTypeDic", JSON.stringify(carTypeDic));
				carTypeButtonClick();
			} else {
				var tip = response.message;
				plus.nativeUI.toast(tip);
			}
		} else {
			plus.nativeUI.toast("请求车辆品牌失败!");
		}

	};
	var failurecallback = function(xhr, opts) {
		plus.nativeUI.closeWaiting();
		curr.show();
		plus.nativeUI.toast("请求车辆品牌失败!");
	};

	if(checknetwork(true)) {
		ajaxunit(params, successcallback, failurecallback);
	}
}

//BR_TWS0075 保存新客户信息 保养新客户填写的档案信息，包括客户信息、车辆信息、联系人信息；
function onSaveClick() {
	var carTypeButton = document.getElementById('carType');
	var buydate = document.getElementById('buyDateResult');
	var plateNumber = document.getElementById('plateNumber');
	var inputMile = document.getElementById('inputMile');
	var customName = document.getElementById('customName');
	var customPhone = document.getElementById('customPhone');
	var contactName = document.getElementById('contactName');
	var contactPhone = document.getElementById('contactPhone');

	if(carTypeButton.value == null || carTypeButton.value == "") {
		plus.nativeUI.toast("请选择车辆类型!");
		return;
	}
	if(buydate.value == null || buydate.value == "") {
		plus.nativeUI.toast("请选择车辆购买日期!");
		return;
	}
	if(plateNumber.value == null || plateNumber.value == "") {
		plus.nativeUI.toast("请输入车牌号!");
		return;
	}
	if(inputMile.value == null || inputMile.value == "") {
		plus.nativeUI.toast("请输入车辆行驶里程!");
		return;
	}
	if(customName.value == null || customName.value == "") {
		plus.nativeUI.toast("请输入客户姓名!");
		return;
	}
	if(customPhone.value == null || customPhone.value == "") {
		plus.nativeUI.toast("请输入客户手机号!");
		return;
	}
	if(contactName.value == null || contactName.value == "") {
		plus.nativeUI.toast("请输入联系人姓名!");
		return;
	}
	if(contactPhone.value == null || contactPhone.value == "") {
		plus.nativeUI.toast("请输入联系人手机号!");
		return;
	}
	if(user.mobile != customPhone.value) {
		plus.nativeUI.toast("对不起，不能增加他人车辆！");
		return;
	}
//
//	if(user.cusName != customName.value) {
//		var btnArray = ['否', '是'];
//		mui.confirm('客户信息有变化，是否按照当前信息进行更新？', '提示', btnArray, function(e) {
//			if(e.index == 1) {
//				updateUserInfo(customName.value,user.sex?user.sex:"",user.birth?user.birth:"",user.mobile);
//			} 
//		})
//	}

	var param = {
		"cusName": customName.value,
		"vehicleTypeId": carTypeButton.value,
		"buyDate": buydate.value,
		"license": plateNumber.value,
		"mile": inputMile.value,
		"linkManName": contactName.value,
		"linkManMobile": contactPhone.value,
		"linkManName": contactName.value,
		"sex": "",
		"linkManSex": ""
	};
	var params = {
		"url": getIpAndPort() + "vehicle/setNewCustomerInfo.do",
		"method": "post",
		"pa": param
	};
	plus.nativeUI.showWaiting('正在提交数据...');
	var successcallback = function(response) {
		plus.nativeUI.closeWaiting();
		curr.show();
		if(response != null) {
			if(response.code == 0) {
				plus.nativeUI.toast("保存成功！");
				curr.close();
//				mui.openWindow({
//					url: 'maintenance_info.html',
//					id: 'maintenance_info.html',
//					styles: {
//						top: '0px',
//						bottom: '0px'
//					}, //窗口参数
//					extras: {} //自定义扩展参数
//				});
			} else {
				var tip = response.message;
				plus.nativeUI.toast(tip);
			}
		} else {
			plus.nativeUI.toast("上传数据失败!");
		}

	};
	var failurecallback = function(xhr, opts) {
		plus.nativeUI.closeWaiting();
		curr.show();
		plus.nativeUI.toast("上传数据失败!");
	};

	if(checknetwork(true)) {
		ajaxunit(params, successcallback, failurecallback);
	}

}

function updateUserInfo(cusName,sex,birth,mobile){
	var param = {
		"cusName": customName.value,
		"sex": sex,
		"birth":birth,
		"mobile": mobile
	};
	var params = {
		"url": getIpAndPort() + "account/update.do",
		"method": "post",
		"pa": param
	};
	var successcallback = function(response) {
		plus.nativeUI.closeWaiting();
		curr.show();
		if(response != null) {
			if(response.code == 0) {
				plus.nativeUI.toast("更新用户信息成功！");
				
			} else {
				var tip = response.message;
				plus.nativeUI.toast(tip);
			}
		} else {
			plus.nativeUI.toast("更新用户信息失败!");
		}

	};
	var failurecallback = function(xhr, opts) {
		plus.nativeUI.closeWaiting();
		curr.show();
		plus.nativeUI.toast("上传数据失败!");
	};

	if(checknetwork(true)) {
		ajaxunit(params, successcallback, failurecallback);
	}
}
