(function() {
	var curr
	mui.init()
	mui.plusReady(function() {
		curr = plus.webview.currentWebview()
		var status = curr.status;
		
		
		new Vue({
			el: '#app',
			data: {
				ajaxSum: 0 ,
				subscribeList: [],
				bookingStatus: {},
				paysStatus: {}
			},
			mounted: function() {
				this.getData()
				this.getDic('BOOKINGSTATUS', 'bookingStatus')
				this.getDic('PAYSTATUS', 'paysStatus')
			},
			methods: {
				getData: function() {
					var self = this
					plus.nativeUI.showWaiting('正在加载数据...');
					ajaxunit({
						"url": getIpAndPort() + "subscribe/subscribeList.do",
						"method": "post",
						"pa": {
							status: status
						}
					}, function(data) {
						var result = data.result
						self.subscribeList = result
						self.changeData()
						plus.nativeUI.closeWaiting();
					});
				},
				getDic: function(key, vueKey) {
					var self = this
					ajaxunit({
						"url": getIp() + "generic/dic/get.do",
						"method": "post",
						"pa": {
							dicId: key
						}
					}, function(data) {
						var result = data.result
						self[vueKey] = result.items
						self.changeData()
						
						console.log(JSON.stringify(result))
					});
				},
				changeData: function() {
					var self = this
					this.ajaxSum++
					if ( this.ajaxSum >= 3&&this.subscribeList) {
						this.subscribeList.forEach(function(subscribe) {
							subscribe.dBookingTime = timestampformat(subscribe.dBookingTime, 'yyyy-MM-dd hh:mm')
							subscribe.vPayStatus = self.paysStatus[subscribe.vPayStatus]
							subscribe.vStatus = self.bookingStatus[subscribe.vStatus]
						})
					}
				},
				redirect: function(nBookingId) {
					mui.openWindow({
						url: 'appointmentSuccess.html',
						id: 'page/appointmentSuccess.html',
						styles: {
							top: '0px',
							bottom: '0px'
						}, //窗口参数
						createNew:true,
						extras: {
							orderID:nBookingId,
							isShowBack:1
						} //自定义扩展参数
					});
				}
			}
		})
	
	})
})()
