var curr, myCarsListResult;
var isEditModel = false;
var addInputIndex = 0;
var carTypeDic;
mui.init()
mui.plusReady(function() {
	curr = plus.webview.currentWebview();
	plus.screen.lockOrientation("portrait-primary");
	getMyCars();

	carTypeDic = JSON.parse(localStorage.getItem("carTypeDic"));
});

function carTypeButtonClick(event) {
	var id = event.target.getAttribute("id");
	showSelectCarType(id);
}

function showSelectCarType(id) {
	var carTypeButton = document.getElementById(id);
	var cityData = carTypeDic;
	var cityPicker = new mui.PopPicker({
		layer: 3
	});
	cityPicker.setData(cityData);
	cityPicker.show(function(items) {
		carTypeButton.innerText = items[0].text + " " + items[1].text;
		//返回 false 可以阻止选择框的关闭
		//return false;
		carTypeButton.setAttribute('value', items[2].value)

		var index = id.substring(7);
		cityPicker.dispose();
		showSelectDataTime("buyDateResult" + index);

	});
}

function dateTimeOnClick(event) {
	var id = event.target.getAttribute("id");
	showSelectDataTime(id);
}

function showSelectDataTime(id) {
	var buydate = document.getElementById(id);
	var now = new Date();
	var byear = now.getFullYear() - 10;
	var datetimePicker = new mui.DtPicker({
		"type": "month",
		"beginYear": byear,
		"endYear": now.getFullYear()
	});

	datetimePicker.show(function(e) {
		var d = new Date(e.y.value, e.m.value, 1);
		buydate.value = d.getTime();
		buydate.innerText = e;
		//返回 false 可以阻止选择框的关闭
		//return false;
		//		var index = id.substring(13);
		//		var inputDev = "plateNumber" + index;
		//		inputDev.focus();
		var plateNumberId = "plateNumber" + addInputIndex;
		var plateNumber = document.getElementById(plateNumberId);
		datetimePicker.dispose();
		showSoftInput(plateNumberId);
	});
}

function btnAddClick() {
	if(!isEditModel) {

		addInputIndex = addInputIndex + 1;

		var date = new Date();
		crateDiv(addInputIndex, "", "选择车型", "", date.getTime(), "","");
		var carTypeId = "carType" + addInputIndex;
		showSelectCarType(carTypeId);
		var defaultLicense = localStorage.getItem(DEFAULTLICENSE);

		var plateNumberId = "plateNumber" + addInputIndex;
		var plateNumber = document.getElementById(plateNumberId);
		if(defaultLicense && (typeof(defaultLicense) != "undefined") && defaultLicense.length > 0)
			plateNumber.value = defaultLicense;

		isEditModel = true;
	} else {
		plus.nativeUI.toast("当前已经是编辑模式，请先保存！");
	}
}

function checkRate(nubmer) {　　
	var re = /^[0-9]+.?[0-9]*$/; //判断字符串是否为数字 //判断正整数 /^[1-9]+[0-9]*]*$/ 
	　　　　
	if(!re.test(nubmer)) {

		　　　　
		return false;　　
	}

	return true;
}

function showSoftInput(eId) {
	var nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
	if(mui.os.android) {
		//强制当前webview获得焦点
		plus.android.importClass(nativeWebview);
		nativeWebview.requestFocus();
		var Context = plus.android.importClass("android.content.Context");
		var InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
		var main = plus.android.runtimeMainActivity();
		var imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
		imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
	} else {
		nativeWebview.plusCallMethod({
			"setKeyboardDisplayRequiresUserAction": false
		});
	}
	var nowInputMile = document.getElementById(eId);
	nowInputMile.focus();
};

function onSaveButtonClick() {
	if(isEditModel) {
		addNewCars();
	} else {
		saveEditCars();
	}
}

function saveEditCars() {

	for(var i = 0; i < addInputIndex; i++) {
		var carTypeId = "carType" + i;
		var buyDateResultId = "buyDateResult" + i;
		var plateNumberId = "plateNumber" + i;
		var mileId = "mile" + i;

		var carTypeInput = document.getElementById(carTypeId);

		var buyDateResultInput = document.getElementById(buyDateResultId);
		var plateNumberInput = document.getElementById(plateNumberId);
		var mileInput = document.getElementById(mileId);

		if(carTypeInput == null)
			break;

		var carTypeInputValue = carTypeInput.getAttribute("value");
		var buyDateResultInputValue = buyDateResultInput.getAttribute("value");

		if(mileInput.value == null || mileInput.value == "") {
			plus.nativeUI.toast("请填写里程数！");
			return;
		}
		var vehicleId = myCarsListResult[i].nVehicleId;
		var buydate = Number(buyDateResultInputValue);
		var param = {
			"vehicleId": vehicleId,
			"mile": Number(mileInput.value),
			"typeId": carTypeInputValue,
			"license": plateNumberInput.value,
			"buyDate": buydate
		};
		var params = {
			"url": getIpAndPort() + "vehicle/updateInfo.do",
			"method": "post",
			"pa": param
		};
		plus.nativeUI.showWaiting('保存数据...');
		var successcallback = function(response) {
			plus.nativeUI.closeWaiting();
			curr.show();
			if(response != null) {
				if(response.code == 0) {
					plus.nativeUI.toast("保存成功!");
				} else {
					var tip = response.message;
					plus.nativeUI.toast(tip);
				}
			} else {
				plus.nativeUI.toast("请求失败!");
			}
		};
		var failurecallback = function(xhr, opts) {
			plus.nativeUI.closeWaiting();
			curr.show();
			plus.nativeUI.toast("获取数据失败，请检查网络！");
		};

		if(checknetwork(true)) {
			ajaxunit(params, successcallback, failurecallback);
		}

	}
}

function isChinese(temp) {
	//	var re='/[^/u4e00-/u9fa5]/';
	var ch = temp.substring(0, 1);
	if(ch.charCodeAt(0) > 255) return true;
	return false;
}

function isRightPlateNumber(number) {
	console.log("lenghth:" + number.length);
	if(!isChinese(number.substring(0, 1))) {
		return false;
	}
	if(number > 7 || number < 7)
		return false;

	return true;
}

function addNewCars() {
	if(!isEditModel)
		return;
	var carTypeId = "carType" + addInputIndex;
	var buyDateResultId = "buyDateResult" + addInputIndex;
	var plateNumberId = "plateNumber" + addInputIndex;
	var mileId = "mile" + addInputIndex;
	//新增
	var carTypeInput = document.getElementById(carTypeId);
	var buyDateResultInput = document.getElementById(buyDateResultId);
	var plateNumberInput = document.getElementById(plateNumberId);
	var mileInput = document.getElementById(mileId);

	var carTypeInputValue = carTypeInput.getAttribute("value");
	var buyDateResultInputValue = buyDateResultInput.getAttribute("value");

	if(carTypeInputValue == null || carTypeInputValue == "") {
		plus.nativeUI.toast("请选择车型！");
		return;
	}
	if(buyDateResultInputValue == null || buyDateResultInputValue == "") {
		plus.nativeUI.toast("请选择购买日期！");
		return;
	}
	if(plateNumberInput.value == null || plateNumberInput.value == "") {
		plus.nativeUI.toast("请填写车牌号！");
		return;
	}
	if(!isRightPlateNumber(plateNumberInput.value)) {
		plus.nativeUI.toast("请填写正确的车牌号！");
		return;
	}

	if(mileInput.value == null || mileInput.value == "") {
		plus.nativeUI.toast("请填写里程数！");
		return;
	}
	if(!checkRate(mileInput.value)) {
		plus.nativeUI.toast("里程数请填写数字！");
		return;
	}

	var param = {
		"typeId": carTypeInputValue,
		"mile": mileInput.value,
		"license": plateNumberInput.value.toUpperCase(),
		"buyDate": buyDateResultInputValue
	};
	var params = {
		"url": getIpAndPort() + "vehicle/add.do",
		"method": "post",
		"pa": param
	};
	plus.nativeUI.showWaiting('提交数据中...')
	var successcallback = function(response) {
		plus.nativeUI.closeWaiting();
		curr.show();
		if(response != null) {
			if(response.code == 0) {
				isEditModel = false;
				var tip = response.message;
				plus.nativeUI.toast(tip);
				getMyCars();
			} else {
				var tip = response.message;
				plus.nativeUI.toast(tip);
			}
		} else {
			plus.nativeUI.toast("请求失败!");
		}

	};
	var failurecallback = function(xhr, opts) {
		plus.nativeUI.closeWaiting();
		curr.show();
		plus.nativeUI.toast("获取数据失败，请检查网络！");
	};

	if(checknetwork(true)) {
		ajaxunit(params, successcallback, failurecallback);
	}
}
//界面添加联系人
function initUICars() {
	var divContactList = document.getElementById('divContactList');
	while(divContactList.hasChildNodes()) //当div下还存在子节点时 循环继续
	{
		divContactList.removeChild(divContactList.firstChild);
	}
	if(myCarsListResult != null && myCarsListResult.length > 0) {
		for(var i = 0; i < addInputIndex; i++) {
			crateDiv(i, myCarsListResult[i].nTypeId, myCarsListResult[i].vSeriesName + myCarsListResult[i].vTypeName, myCarsListResult[i].vLicense, myCarsListResult[i].dBuy, myCarsListResult[i].nMile, myCarsListResult[i].nVehicleId);
		}
	}
}
//typeId - 车型ID
//mile - 里程
//license - 车牌号
//buyDate - 购买日期
function crateDiv(index, typeId, typeShow, license, buyDate, mile, nVehicleId) {

	var divContactList = document.getElementById('divContactList');

	var div = document.createElement("div");
	div.id = 'child' + index;
	var carTypeId = "carType" + index;
	var buyDateResultId = "buyDateResult" + index;
	var plateNumberId = "plateNumber" + index;
	var mileId = "mile" + index;
	var date = new Date(buyDate);
	var time = date.getFullYear() + "-" + date.getMonth();
	var str = '<div class="user-info" style="margin-top: 10px;">' +
		'<div class="item mui-clearfix">' +
		'<span class="title">车型</span>' +
		'<div class="go mui-icon mui-icon-arrowright"></div>' +
		'<span id="' + carTypeId + '" class="content" value ="' + typeId + '" onclick="carTypeButtonClick(event);">' + typeShow + '</span>' +
		'</div>' +
		'<div class="item mui-clearfix">' +
		'<span class="title">购车日期</span>' +
		'<div  class="go mui-icon mui-icon-arrowright"></div>' +
		'<span id="' + buyDateResultId + '" class="content" value ="' + buyDate + '" onclick="(event)">' + time + '</span>' +
		'</div>' +
		'<div class="item mui-clearfix">' +
		'<span class="title">车牌号</span>' +
		'<span class="content">' +
		'<input placeholder="请输入车牌号" id="' + plateNumberId + '" type="text" value="' + license + '" class="mycar-input"/>' +
		'</span>' +
		'</div>' +
		'<div class="item mui-clearfix">' +
		'<span class="title">行驶里程</span>' +
		'<span class="content">' +
		'<input placeholder="请输入行驶里程" id="' + mileId + '" type="text" value="' + mile + '" class="mycar-input"/>km' +
		'</span>' +
		'</div>' +
		'<div class="item mui-clearfix"> ' +
		'			<a index =' + index + ' nVehicleId=' + nVehicleId + ' license =' + license + ' class="mui-pull-left " style="color: #376799;padding: 5px 0;" onclick="btndeleteClick(event);">删除</a> ' +
		'		</div> ' +
		'</div>';

	div.innerHTML = str;

	divContactList.appendChild(div);
	keyDownNext(plateNumberId, mileId);

}

function btndeleteClick(event) {
	var nVehicleId = event.target.getAttribute("nVehicleId");
	var license = event.target.getAttribute("license");
	var index = event.target.getAttribute("index");
	var devID = 'child' + index;
	var dev = document.getElementById('devID');
	var divContactList = document.getElementById('divContactList');
	if(isEditModel) {
		plus.nativeUI.toast("当前是编辑模式,请先保存!");
	} else {
		var str = "是否确认删除" + license + "车牌号的车辆?";

		var btnArray = ['删除', '取消'];

		mui.confirm(str, '提示', btnArray, function(e) {
			if(e.index == 0) {
				deleteCar(nVehicleId,index);
			}
		});
	}

}

function deleteCar(nVehicleId,index) {
	var param = {
		"vehicleId": nVehicleId
	};
	var params = {
		"url": getIpAndPort() + "vehicle/deletCustomerVehicle.do",
		"method": "post",
		"pa": param
	};
	plus.nativeUI.showWaiting('正在处理...');
	var successcallback = function(response) {
		plus.nativeUI.closeWaiting();
		curr.show();
		if(response != null) {
			if(response.code == 0) {
				plus.nativeUI.toast("成功删除!");
				var devID = 'child' + index;
				var dev = document.getElementById(devID);
				var divContactList = document.getElementById('divContactList');
				divContactList.removeChild(dev);
				getMyCars();
			} else {
				var tip = response.message;
				plus.nativeUI.toast(tip);
			}
		} else {
			plus.nativeUI.toast("请求失败!");
		}
	};
	var failurecallback = function(xhr, opts) {
		plus.nativeUI.closeWaiting();
		curr.show();
		plus.nativeUI.toast("获取数据失败，请检查网络！");
	};

	if(checknetwork(true)) {
		ajaxunit(params, successcallback, failurecallback);
	}
}

function keyDownNext(eid, nextId) {
	document.getElementById(eid).addEventListener("keydown", function(e) {
		if(13 == e.keyCode) { //点击了“搜索”  
			//         document.activeElement.blur();//隐藏软键盘 
			document.getElementById(nextId).focus();
		}
	}, false);
}
//获取客户车辆列表 获取客户车辆档案列表
function getMyCars() {
	var param = {};
	var params = {
		"url": getIpAndPort() + "vehicle/customerVehicleList.do",
		"method": "post",
		"pa": param
	};
	plus.nativeUI.showWaiting('获取车辆信息...')
	var successcallback = function(response) {
		plus.nativeUI.closeWaiting();
		curr.show();
		if(response != null) {
			if(response.code == 0) {
				if(response.result != null) {
					myCarsListResult = response.result;
					addInputIndex = myCarsListResult.length;

					initUICars();
				} else {

				}
			} else {
				var tip = response.message;

				plus.nativeUI.toast(tip);

			}
		} else {
			plus.nativeUI.toast("请求失败!");
		}

	};
	var failurecallback = function(xhr, opts) {
		plus.nativeUI.closeWaiting();
		curr.show();
		plus.nativeUI.toast("获取数据失败，请检查网络！");
	};

	if(checknetwork(true)) {
		ajaxunit(params, successcallback, failurecallback);
	}
}