(function() {

	mui.init({
		"StatusBarBackground": "#4A4A4A",
		beforeback: function() {
			var mine = plus.webview.getWebviewById('mine.html');
			mui.fire(mine, 'reloadpage');
			//返回true，继续页面关闭逻辑
			return true;
		}
	})

	mui.plusReady(function() {
		Vue.filter('date', function(val) {
			return timestampformat(val)
		})

		new Vue({
			el: '#app',
			data: {
				imgUrl: '/img/icon_my.png',
				userInfo: {},
				nameLayer: {
					layerShow: false,
					mask: {}
				},
				sexLayer: {
					layerShow: false,
					mask: {}
				},
				mobileLayer: {
					layerShow: false,
					mask: {}
				}
			},
			mounted: function() {
				this.getUserInfo()
				this.getCustomerAvatorAddr()
			},
			methods: {
				getUserInfo: function() {
					var self = this
					ajaxunit({
						"url": getIpAndPort() + "account/customerInfo.do",
						"method": "post",
						"pa": {}
					}, function(data) {
						var result = data.result
						self.userInfo = result

						if(typeof self.userInfo.sex === 'undefined') {
							self.userInfo.sex = 1
						}
					})
				},
				getCustomerAvatorAddr: function() {
					var self = this
					ajaxunit({
						"url": getIpAndPort() + "account/getAvatarAddr.do",
						"method": "post",
						"pa": {}
					}, function(data) {
						var result = data.result
						self.imgUrl = getIp() + result + "?random=" + new Date().getTime()
					})
				},
				save: function(type) {
					this.saveToDatabase()
					this.closeMask(type)
				},
				saveToDatabase: function() {
					var self = this
					ajaxunit({
						"url": getIpAndPort() + "account/update.do",
						"method": "post",
						"pa": {
							cusName: this.userInfo.cusName,
							sex: this.userInfo.sex,
							birth: this.userInfo.birth || new Date().getTime(),
							mobile: this.userInfo.mobile
						}
					}, function(data) {
						var user = window.localStorage.getItem("user")
						user = JSON.parse(user)
						user.cusName = self.userInfo.cusName
						window.localStorage.setItem("user", JSON.stringify(user))
						//						plus.nativeUI.toast(data.message)
					})
				},
				closeMask: function(type) {
					var _type = type.toLowerCase()
					_type = _type + 'Layer'
					this[_type].layerShow = false
					this[_type].mask.close()
				},
				showMask: function(type) {
					var self = this
					var _type = type.toLowerCase()
					if(_type === 'name') {
						console.log(this.$refs.cusNameInput)
						setTimeout(function() {
							//							self.$refs.cusNameInput.focus();
							document.getElementById('cusNameInput').click()
						}, 2000)

					}
					_type = _type + 'Layer'
					var mask = mui.createMask(function() {
						self[_type].layerShow = false
					});
					mask.show()
					this[_type].layerShow = true
					this[_type].mask = mask
				},
				showDatePicker: function() {
					var self = this
					var dtPicker = new mui.DtPicker({
						type: 'date',
						beginDate: new Date(1950, 1)
					});
					dtPicker.setSelectedValue(timestampformat(this.userInfo.birth || 1490782921223))
					dtPicker.show(function(selectItems) {
						var birthDate = new Date()
						birthDate.setFullYear(selectItems.y.value)
						birthDate.setMonth(selectItems.m.value - 1)
						birthDate.setDate(selectItems.d.value)
						self.userInfo.birth = birthDate.getTime()
						self.saveToDatabase()
					})
				},
				showActionSheet: function() {
					var self = this
					var bts = [{
						title: "拍照"
					}, {
						title: "从相册选择"
					}];
					plus.nativeUI.actionSheet({
						cancel: "取消",
						buttons: bts
					}, function(e) {
						if(e.index == 1) {
							self.getImage();
						} else if(e.index == 2) {
							self.galleryImgs();
						}
					});
				},
				getImage: function() {
					var cmr = plus.camera.getCamera();
					var self = this
					cmr.captureImage(function(p) {
						plus.io.resolveLocalFileSystemURL(p, function(entry) {

							self.compressImage(entry.toLocalURL(), entry.name);
						}, function(e) {
							plus.nativeUI.toast("读取拍照文件错误：" + e.message);
						});
					}, function(e) {}, {
						filter: 'image'
					});
				},
				galleryImgs: function() {
					var self = this
					plus.gallery.pick(function(e) {
						var name = e.substr(e.lastIndexOf('/') + 1);
						self.compressImage(e, name);
					}, function(e) {}, {
						filter: "image"
					});
				},
				compressImage: function(url, filename) {
					var name = "_doc/upload/" + filename;
					var self = this
					plus.zip.compressImage({
							src: url, //src: (String 类型 )压缩转换原始图片的路径    
							dst: name, //压缩转换目标图片的路径    
							quality: 40, //quality: (Number 类型 )压缩图片的质量.取值范围为1-100    
							overwrite: true //overwrite: (Boolean 类型 )覆盖生成新文件    
						},
						function(zip) {
							self.imgUrl = zip.target

							var task = plus.uploader.createUpload(
								getIpAndPort() + 'account/uploadAvatar.do', { method: "POST" },
								function(t, status) {
									console.log(JSON.stringify(t))
									// 上传完成

									var response = t.responseText
									try {
										response = JSON.parse(response)
										//										plus.nativeUI.toast(response.message)
									} catch(e) {}
								}
							)

							task.setRequestHeader('Cookie', window.localStorage.getItem('cookie'))
							task.addFile(zip.target, { key: "avatar" })
							task.start()
							//页面显示图片  
							//							showPics(zip.target, name);
						},
						function(error) {
							plus.nativeUI.toast("压缩图片失败，请稍候再试");
						});
				}
			}
		})
	})
})()